<? 
$rut = $_GET["rut"];
$num_pedido = $_GET["numero"];
$ventana = $_GET["ventana"];

$fecha = $_GET["fecha"];
$hrs=date("H:i");
$mesa= $_GET["mesa"];

require_once('../conf/connection.php');

//extraer la suma total del pedido
       $query_valor="SELECT SUM(valor_total) AS total_venta FROM detalles_pedido WHERE numero='$num_pedido'";
	   $res_valor=mysql_query($query_valor);
	   $total_venta=mysql_result($res_valor,0,"total_venta");

// liberar mesas
   
	   $sel_mesa="UPDATE mesa SET est_mesa='2' WHERE num_mesa='$mesa'";
	   $rs_mesa=mysql_query($sel_mesa);
	   
       $query_add_mesa="SELECT * FROM add_mesa WHERE pedido='$num_pedido'";
	   $res_add_mesa=mysql_query($query_add_mesa);
	   $nr_add_ms=mysql_num_rows($res_add_mesa);
	   if($nr_add_ms==0){}else{
		   $add_mesa=mysql_result($res_add_mesa,0,"mesa");
		   $sel_add="UPDATE mesa SET est_mesa='2' WHERE num_mesa='$add_mesa'";
	       $rs_add=mysql_query($sel_add); }

	   
       	
//fin 

$query_mesa_nom="SELECT * FROM mesa WHERE num_mesa='$mesa'";
$rs_query_mesa_nom=mysql_query($query_mesa_nom);
$nom_mesa=mysql_result($rs_query_mesa_nom,0,"nombre_mesa");

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$num_pedido'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");
$propina=$total_venta*(10/100);

$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"                RESTAURANT 'LA GUARIDA' " . PHP_EOL); //TITULO
fwrite($miarchivo,"                      DESDE 1988 " . PHP_EOL); //TITULO
fwrite($miarchivo,"            TRADICION EN COMIDAS CASERAS " . PHP_EOL); //TITULO
fwrite($miarchivo,"           PADRE LEODAGARIO # 47 FUTRONO " . PHP_EOL); //TITULO
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"     PEDIDO ".$num_pedido);fwrite($miarchivo," DE LA MESA ".$nom_mesa . PHP_EOL) ;
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    HRS: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
 
fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"            CANTIDAD");fwrite($miarchivo,"      TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select * 
		   from detalles_pedido where numero like \'%'.$num_pedido.'%\' order by iddetalles_pedido';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					 
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=$row["cantidad"];
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor_total"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo,"    ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                     $obs=$row["obs"]; if($obs==""){}else{ 
					 fwrite($miarchivo,"      ¬ ".$obs.  PHP_EOL );}
					 
					 
					 
				}
			   fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    TOTAL                            ".$total_venta.  PHP_EOL );
			   fwrite($miarchivo,"    PROPINA SUGERIDA (10%)           ".$propina.  PHP_EOL );
			   fwrite($miarchivo,"    "  . PHP_EOL );			}
			   fwrite($miarchivo,"    ***** Gracias Por su preferencia ******** "  . PHP_EOL );
			   
//FIN DEL BUCLE






fclose($miarchivo); //cerrar archivo	   

	   
//insertamos pedidod a la base de datos 
// estado 1= activo 2= desactivo

            $insertar="update pedido set idmesa='$mesa',  total_venta='$total_venta',  est='3' where idpedido='$num_pedido'"; 
			      
//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);		
		 
		
			switch ($ventana) {
				   
                   case 1:
                      ?>
  <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../mesas.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>"> 
                      
                        <?
				   
					break;
				   
				   case 2:
                        ?>
                        
  <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../edit.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>">  
                        
                        <?
					break;
				   
				   
            }
			
			
	